stages:
  - build
  - restart

variables:
  JENKINS_AGENT_VERSION: "4.13-1"

build:
  stage: build
  image: buildah/buildah:latest
  variables:
    IMG: registry.gitlab.com/jhmdocker/image/jenkins-agent:${JENKINS_AGENT_VERSION}
    STORAGE_DRIVER: "vfs"
    BUILDAH_FORMAT: "docker"
    BUILDAH_ISOLATION: "rootless"
  script: |
    echo -n $CI_JOB_TOKEN | buildah login -u gitlab-ci-token --password-stdin $CI_REGISTRY
    buildah bud -q --pull-always -t $IMG --build-arg VERSION=$JENKINS_AGENT_VERSION .
    buildah push -q $IMG
    echo Image created $IMG
